Changelog For R14.0.12

From Trinity Desktop Project Wiki
Jump to: navigation, search

Contents

common

admin

  • [a9e0c7eb] Set C++11 as the required minimum standard.
  • [64960434] Add TDE_CXX_COMPILE_STDCXX macro to check and enforce C++ standard.
    The macro is a simplified form of AX_CXX_COMPILE_STDCXX from autoconf.
    To verify the C++ standard supported by the compiler, only the value
    of the __cplusplus constant defined by the compiler is checked,
    instead of testing examples of using individual C++ features.
  • [ba60229f] Drop -ansi from CXXFLAGS because it is actually a synonym for enforcing -std=c++98.
  • [cb77496f] Add includes to the UI file generated for testing TDE UIC plugins.

cmake

  • [19614f4c] Set C++11 as the required minimum standard.
  • [2878ceef] tde_automoc: Add support for processing automoc for generated files.
  • [321dec8a] Add TQT_CMAKE_DIR variable.
  • [8a837898] tde_install_export: Sort individual exported files before generating
    a summary export file so that the generated output is reproducible.
  • [f7402b3b] Add the ability to specify the necessary CXX features in tde_add_check_executable.
  • [d967cc13] tde_create_handbook: Fix characters not permitted for target name.
  • [cd5734bc] Raise the minimum required version of CMake to 3.1.
  • [24065538] Add the ability to specify the necessary CXX features.
    This increases the minimum necessary version of CMake to 3.1.
    There are three levels:
    1. TDE_CXX_FEATURES common for all TDE modules
    2. PROJECT_CXX_FEATURES common at invidual module level
    3. CXX_FEATURES and CXX_FEATURES_PRIVATE for individual libraries and binaries
    Public CXX_FEATURES for libraries become part of the exported CMake target.

dependencies

tqt3

  • [9973834c] Update translations binary files
    because they are not generated during build.
  • [0c2629f8] Merge translation files from master branch.
  • [ceae2cc9] Use empty d->cString for TQString::shared_null instead of null string.
    This restores consistency for the behavior of methods TQString::utf8()
    and TQString::local8Bit() with null TQStrings.
  • [f837b16e] Avoid changes of d->cString for TQString::shared_null to make the value reliable.
    This precedes unnecessary allocations, potential use after free and crashes.
  • [be256666] Removed QT_NON_COMMERCIAL check and related code.
  • [d0da0812] Fix FTBFS with compiler's options(gcc): -Werror=format-security -Wformat
  • [c7f76b12] TQt Designer: use global includes instead of includehints and
    remove duplicated include directives if found in UI files.
  • [ca53f5ed] Replaced 'includehints' with 'includes' in *.ui files.
  • [c133a629] Added tqDebug/tqWarning/tqFatal functions that takes a TQCString
    argument. This fixes FTBFS of examples caused by previous ambiguous
    call and solves bug #3021
  • [3823c75b] Added utility functions tqDebug/tqWarning/tqFatal based on TQString parameter.
  • [dc6b2e3d] tools: fix to use `pthread_t` for Thread ID
    Thread ID is opaque type pthread_t, it may not be compatible with integer,
    and may integer with valid id `0`.
    Change to store mutex owner thread ID as `pthread_t` type with valid flag
    and compare with `pthread_equal()`,
    and don't try to print it.
  • [96f244b0] Revert back TQt to Qt in the book title

tqtinterface

  • [660ef2af] Raise the minimum required version of CMake to 3.1.
  • [4fd4c885] cmake: Install libraries according to multi-arch rules

akode

  • [a5b10d32] Raise the minimum required version of CMake to 3.1.

arts

  • [0a17c387] Raise the minimum required version of CMake to 3.1.

avahi-tqt

  • [80801de8] Raise the minimum required version of CMake to 3.1.

dbus-1-tqt

  • [ba28980e] Raise the minimum required version of CMake to 3.1.
  • [a5488007] Make sure to handle pending messages at start up if a dbus service
    is invoked by the dbus daemon.
    Prior to this fix, when a service was started by the dbus daemon,
    the first dbus call sent to it was being held back till the next
    dbus call was performed, resulting in a long timeout for the first
    unhandled call and a delayed answer.

dbus-tqt

  • [5d701aeb] Raise the minimum required version of CMake to 3.1.

libart-lgpl

  • [a955c167] Fix possible memory leak in art_render_new.
  • [355526df] Raise the minimum required version of CMake to 3.1.

libcaldav

  • [aa85d0be] Raise the minimum required version of CMake to 3.1.

libcarddav

  • [ea28c45b] Raise the minimum required version of CMake to 3.1.

libr

  • [05253fd1] Rework unbalanced #ifdef blocks to improve code formatting.
  • [222e13b6] Raise the minimum required version of CMake to 3.1.

sip4-tqt

  • [5e00e331] Updates for Python 3 Support
    The following changes have been made to support Python 3:
    - in sip-tqt.h, remove the cast in the "sipConvertFromSliceObject"
    macro in versions 3.2+ as the API changed causing a compile error;
    - in voidptr.h, alter the precompile conditions to remove the
    PyCObject API cals for version 3.2+ (causes runtime symbol
    resolution error) and amend the flags for "asstring";
    - alter module import process in siplib.c to avoid re-loading an
    already loaded module.
  • [db6ca219] Drop Qt4 related parts.
  • [2d49f6c6] Fix the mismatch of tokens TK_TQOBJECT × TK_QOBJECT and
    TK_TQCHAR × TK_QCHAR between lexer and parser.
  • [9a250b20] Add an explicit rule to generate parser.
    Delete generated files from source code.
  • [0f32fe01] Fix FTBFS for build outside the source code.
    This resolves issue #3

tqscintilla

  • [9f56ebf4] Raise the minimum required version of CMake to 3.1.
  • [ddeb07f1] cmake: Install the library to the default system location.
    Parts omitted in commit 1382F3DDB7D28B59432C8C32455734BADA2B6016.
  • [31b96d93] Added controlled conversions to char* instead of automatic ascii conversions.
    The definition of -UTQT_NO_ASCII_CAST is no longer needed.
  • [a4cbbd1e] cmake: Setting the WITH_GCC_VISIBILITY option has no effect.
    Hidden visibility has always been activated depending on the
    version of the compiler, regardless of WITH_GCC_VISIBILITY value.
    The config.h file generated during configuration was not used at all.
  • [8d464c8f] cmake: Do not install private headers.
    The headers installed in the private directory seem to be unnecessary
    when building other applications or libraries that use TQScintilla
    library. Therefore, there is no obvious reason to be installed.
  • [69b6fb93] cmake: Set the path for installing API documentation.
    The documentation contained here is not the usual manual,
    so it does not belong to the TDE user documentation.
  • [2c89222e] Fix library version in pkg-config file.
    The version of the library file as such does not reflect the official version
    of the library, but version and compatibility of API / ABI library interface.
  • [37936789] cmake: Install the library to the default system location.
  • [bf076238] Conversion to the cmake building system.

python-tqt

  • [150ebb26] Replaced 'includehints' with 'includes' in *.ui files.
  • [e2148244] Convert .ui file from dos to unix format.

tqca

  • [40af2c59] Raise the minimum required version of CMake to 3.1.

core

tdelibs

  • [1a0e6db7] Merge translation files from master branch.
  • [13ac5ec6] TDEMarkdown: Use the file name as the document title.
  • [ad682c23] TDEMarkdown: Add basic actions in menu bar and toolbar.
    Remove unwanted duplicate status bar.
  • [d2665a78] Merge translation files from master branch.
  • [da925574] TDEMarkdown: Ensure that the loaded file content and generated HTML
    are terminated by zero terminator to avoid reading overflow.
  • [715ad915] TDEMarkdown: Fixed XML-GUI file path.
  • [16af0b74] Merge translation files from master branch.
  • [932e0c8f] Merge translation files from master branch.
  • [e87a9293] Add tdemarkdown part - embeddable lightweight markdown viewing component.
    TDEMarkdown is based on the md4c library and using TDEHTML for rendering
    its output. For enhanced safety, on HTML widget is turned off everything
    we don't need for viewing. It integrates nicely into Konqueror and
    supports both Commonmark and GitHub markdown syntaxes.
    Prepare to merge tdemarkdown into tdelibs.
  • [8905a800] tdefile elf plugin: prevent SEGV when unable to open an ELF file. This resolves issue TDE/tdebase#262
  • [976094c6] Add pid value to debug messages.
  • [b6cbaa5e] Merge translation files from master branch.
  • [d9367c02] Merge translation files from master branch.
  • [3fbf5156] Fixed issue with ICEAuthority ownership stealing when programs were
    run using tdesu in a user session. This resolves issue TDE/tde#77
  • [96009c85] KSSL: Rebuilt local certificates bundle
  • [06234294] KSSL: Added ISRG root certs for LetsEncrypt
  • [15b097c8] API docs: removed stray tags
  • [432814aa] API docs: Removed stray div.
    This fixes the issue with the left sidebar incorectly flowing to
    the bottom of the page.
  • [69aa91fc] API docs: Improve code display.
    This also repairs the text alignment in code lines from center to left.
  • [b2f89687] Fix feature detections with CMake
    * implement missing checks with CMake
    * fixes and improve some detections
    * remove missing but unused checks
  • [1893a88e] Replaced 'includehints' with 'includes' in *.ui files.
  • [aab9e9dc] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [3d622406] Raise the minimum required version of CMake to 3.1.
  • [56efeb8f] Merge translation files from master branch.
  • [a2f2ff66] dcopclient: Use default path for XDG_RUNTIME_DIR if the variable is not set.
    This resolves issue TDE/tdebase#241

tdebase

  • [394d9846] Added final version of release notes for R14.0.12.
  • [9e5de295] Konsole: real transparency switch
  • [28ccd3d7] Modify screen savers detection that the XSCREENSAVER_DIRS
    and XSCREENSAVER_CONFIG_DIRS variables allow multiple paths.
    Likewise, the XSCREENSAVER HACKS DIRS variable used to search
    for an screen saver executable can contain multiple paths.
    This relates to TDE/tdeartwork#19
  • [51546503] kxkb: transparent indicator background feature
  • [4cd8cd29] Merge translation files from master branch.
  • [6ca079b4] Merge translation files from master branch.
  • [13a8a0db] Merge translation files from master branch.
  • [b64300ee] Merge translation files from master branch.
  • [dcbcede7] tdehwdevicemanager: fix SEGV caused by removing a device when the Device list
    dialog is open. Also make sure to update the device list correctly when
    a device is removed.
  • [65d242a2] tdehwdevicemanager: make sure to stop polling when closing the device dialog.
  • [53432b16] starttde: Correct the disposal of the TDE_FULL_SESSION variable
    The variable is set and exported. But previously it was unset before
    xprop(1) can remove the property. This commit corrects or gives the
    xprop command the opportunity to remove the property (TDE_FULL_SESSION).
  • [de50a2eb] Merge translation files from master branch.
  • [13247547] Merge translation files from master branch.
  • [ada0f760] Merge translation files from master branch.
  • [3de055c9] Merge translation files from master branch.
  • [e26ca0b6] Merge translation files from master branch.
  • [ca2803d7] Make sure to convert TQCString to const char* when passing it to a variadic function (printf).
  • [38434960] Kicker storage applet: display more useful information on the tooltip of each device.
  • [538a0216] Merge translation files from master branch.
  • [40e576d3] Merge translation files from master branch.
  • [f46695e9] Merge translation files from master branch.
  • [b862244a] Merge translation files from master branch.
  • [bea9660b] Merge translation files from master branch.
  • [3727a077] Merge translation files from master branch.
  • [ffcc9ac1] Merge translation files from master branch.
  • [185c7760] Merge translation files from master branch.
  • [6fd7284b] kcontrol/usview: fix up "Revive NetBSD support"
  • [6e049ae6] Merge translation files from master branch.
  • [a0418415] twin: fix unwated pointer reference for window ID
    Just the ID is required.
  • [174f7ef9] Merge translation files from master branch.
  • [efd6ed91] Replaced 'includehints' with 'includes' in *.ui files.
  • [66fde0cb] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [da240f80] Raise the minimum required version of CMake to 3.1.
  • [39c2dea6] Add dispwin (Argyll) support to set the ICC profile.
  • [dfe419d5] tdm: improve documentation. This resolves issue #249
  • [ff500b01] Merge translation files from master branch.
  • [0f973531] konsole: fixup comments text and location.
  • [c3e741fe] Backported commit 66c83048 from KDE's Konsole source code.
    https://invent.kde.org/utilities/konsole/-/commit/66c830484c3e042284b23114ab51f99a706cea9e
    This relates to issue TDE/tde#71
    -------------------------------------------------------------
    Original commit info:
    From: Luis Alves
    Date: Wed, 10 Jun 2020 17:34:15 -0300
    Subject: Add new ANSI sequences CNL and CPL
    - It implements Cursor Next Line (CNL) sequence.
    - It implments Cursor Previous Line (CPL) sequence.
    - Ex: echo -e "Hello\e[3EWorld" or echo -e "Hello\e[3FWorld"
    -------------------------------------------------------------
  • [26930d75] Fixed hanging of system on shutdown caused by conflicts between tdm and plymouth.
    This resolves bug #2806
  • [37974925] Konsole: fixed detection of root mc in session menu. This resolves issue #245
  • [208a0a00] Merge translation files from master branch.
  • [1f648a7a] Merge translation files from master branch.
  • [0a04f95e] Merge translation files from master branch.
  • [f2c3276b] (Readme) Replace most mentions of KDE with TDE
    This isn’t completely done as there’s still a few outdated
    bits of infomation in there.
  • [ad2b8358] Merge translation files from master branch.
  • [db01087d] Merge translation files from master branch.
  • [d2ac1022] Merge translation files from master branch.
  • [e757ccdb] Fixed clearing Xft.dpi settings when no value is set in TCC module. This resolves issue TDE/tde#70
  • [9c2f4b15] Merge translation files from master branch.
  • [b708c8f0] Added initial draft of release notes for R14.0.12.

tdepim

  • [29d3e9ad] kmail: use default transport for message redirect. This resolves issue #54
  • [f2ddbfcf] Replaced 'includehints' with 'includes' in *.ui files.
  • [eca6717f] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [da8a0b96] Raise the minimum required version of CMake to 3.1.

tdemultimedia

  • [4c2af6e5] Merge translation files from master branch.
  • [816e5fec] Fix Konqueror plugin tdefile_mp3 to activate on mimetype audio/mpeg.
    This resolves issue #33
  • [b131af31] Replaced 'includehints' with 'includes' in *.ui files.
  • [997f83cd] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [29b3cbaa] Raise the minimum required version of CMake to 3.1.

tdenetwork

  • [4477d31b] Merge translation files from master branch.
  • [ecbda18d] Merge translation files from master branch.
  • [1d5850d8] Merge translation files from master branch.
  • [ef2027de] Merge translation files from master branch.
  • [5aa5ae43] Merge translation files from master branch.
  • [0dbbccd2] Merge translation files from master branch.
  • [dbe7eb4b] Replaced 'includehints' with 'includes' in *.ui files.
  • [340b9b60] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [77b33cb7] Raise the minimum required version of CMake to 3.1.
  • [9acff1e7] kopete: update include path for speex>=1.0.5
    Header files of `speex` are installed in sub directory since 1.0.4,
    and speex>=1.0.5 is required for libjingle using speex.
  • [c81b3719] Change WITH_ALL_OPTOINS default to OFF for consistency
    Other TDE core modules are OFF by default.
  • [cb4b1c27] Fix FTBFS if the TQCA library is not installed on the default location
    for the system libraries or in TQt libraries.

tdegraphics

  • [f88c62bf] Merge translation files from master branch.
  • [0917f3f2] Ensure the use of C++17 standard for Poppler >= 21.12.
  • [16e7c3a1] Removed setting of CXX_FEATURES at module level since CXX_FEATURES are now enabled at TDE project level.
  • [7de3dd48] Added CXX_FEATURES for remaining libraries to ensure build with at least C++11.
  • [756f77e4] Added CXX_FEATURES for libraries to ensure build with at least C++11.
  • [0baef91f] Change to use c++11 unique_ptr instead of deprecated auto_ptr
  • [6388395c] ksvg/libtext2path: use c++11 std:shared_ptr instead of bundled old boost one
  • [15195be8] KSVG: fix to include classes used in TQPtrList
    It must be included, or its destructor may not be used in PtrList maitainance.
  • [21d7beac] fix missing include for xlib_rgb_init_with_depth()
  • [dfa286eb] Replaced 'includehints' with 'includes' in *.ui files.
  • [867198de] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [3992a6a5] Raise the minimum required version of CMake to 3.1.
  • [e39ed8fa] Set t1lib support to OFF by default for all cases.
    The library is abandoned and there is no reason to maintain support for it.
  • [ee23b74e] Add a CMake build option WITH_ALL_OPTIONS disabled by default
  • [544868bc] Add support for Poppler >= 21.11.
    This resolves issue #36
  • [2434371b] Merge translation files from master branch.

tdetoys

  • [ee8d4178] Merge translation files from master branch.
  • [6e4b7fd4] Merge translation files from master branch.
  • [c5b88a55] Replaced 'includehints' with 'includes' in *.ui files.
  • [c2c29bba] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [90568665] Raise the minimum required version of CMake to 3.1.
  • [0cf04e8e] kweather sidebar: correctly initialize variables. This fixes issue #15

tdeutils

  • [0f79ac4c] Replaced 'includehints' with 'includes' in *.ui files.
  • [4df29dab] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [93c4961f] Raise the minimum required version of CMake to 3.1.
  • [7bd36a62] Merge translation files from master branch.

tdeedu

  • [a6e1a379] Replaced 'includehints' with 'includes' in *.ui files.
  • [7662f5be] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [fdbeec8b] Raise the minimum required version of CMake to 3.1.
  • [8b408227] fix FTBFS when aRts support is not available from tdelibs.

tdegames

  • [94d020e7] Merge translation files from master branch.
  • [8afe6977] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [7bf90952] Raise the minimum required version of CMake to 3.1.
  • [236b4a42] Merge translation files from master branch.
  • [461014d6] Fixed typo. This resolves issue #15

tdeaccessibility

  • [1c6ca46d] Merge translation files from master branch.
  • [9417138a] Replaced 'includehints' with 'includes' in *.ui files.
  • [9fd4732f] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [7c31fa11] Raise the minimum required version of CMake to 3.1.
  • [910ff90d] Merge translation files from master branch.
  • [c8ab5fb0] Merge translation files from master branch.
  • [c9b1ffe3] Merge translation files from master branch.
  • [1c0809e3] Merge translation files from master branch.

tdeaddons

  • [fdab75af] noatun-plugins: change to use SDL feature to handle data for SDL
    With own imcompleted endianness checkes, systems might be mis-detected
    as big endian.
    Change to use SDL macros to determine endianness.
    Change to use SDL function to byte swap
    Change to use SDL tyepdef for appropriate size integer type
  • [5363fd55] Add option WITH_GCC_VISIBILITY.
    Fix building with hidden visibility.
    Add missing definitions to config.h.cmake.
  • [af0617f8] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [66a6fc4c] Removed unnecessary hunks after switched to use krsync library
  • [353d101f] Raise the minimum required version of CMake to 3.1.

tdeadmin

  • [d666537f] Replaced 'includehints' with 'includes' in *.ui files.
  • [2994995f] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [1c53b7de] Raise the minimum required version of CMake to 3.1.
  • [8423692f] Merge translation files from master branch.

tdeartwork

  • [2988432a] Modify screen savers detection that the XSCREENSAVER_DIRS
    and XSCREENSAVER_CONFIG_DIRS variables allow multiple paths.
    Likewise, the XSCREENSAVER HACKS DIRS variable used to search
    for an screen saver executable can contain multiple paths.
    This relates to #19.
  • [cf8c057b] Merge translation files from master branch.
  • [6e251586] Merge translation files from master branch.
  • [5b815664] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [f6eb65f0] Raise the minimum required version of CMake to 3.1.
  • [f411d71f] Merge translation files from master branch.

tdebindings

  • [cfc9d0ae] Replaced 'includehints' with 'includes' in *.ui files.

tdesdk

  • [8a31df00] Replaced 'includehints' with 'includes' in *.ui files.
  • [3f97bf8a] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [83ccd10a] Raise the minimum required version of CMake to 3.1.

tdevelop

  • [8ee4eb2f] Removed TQT_NON_COMMERCIAL check and related code.
  • [88faa384] Designer: use global includes instead of includehints and remove duplicated include directives if found in UI files.
  • [e9f0abff] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [e7fe9c3b] Raise the minimum required version of CMake to 3.1.

tdewebdev

  • [7aac45c2] Quanta: Add dtep to support HTML5 mode.
    Minor fixes.
  • [669546ae] Removed TQT_NON_COMMERCIAL check and related code.
  • [0adedbe8] Replaced 'includehints' with 'includes' in *.ui files.
  • [9e717712] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [86e5ff8a] Raise the minimum required version of CMake to 3.1.
  • [13cafe2f] Quanta: Enable and use TQt input methods in Kafka (VPL) part.
    This resolves issue #14

tde-i18n

  • [c76af68f] Merge translation files from master branch.
  • [9d5d0a07] Merge translation files from master branch.
  • [766d0f5a] Merge translation files from master branch.
  • [f8e03b6c] Merge translation files from master branch.
  • [4b995cd4] Update translation template.
  • [438cbc26] Merge translation files from master branch.
  • [43c5787b] Update translation template.
  • [ecc86e99] Merge translation files from master branch.
  • [e1eda668] Update translation template.
  • [88e2c667] Merge translation files from master branch.
  • [4bee33b9] Update translation template.
  • [42f1d1d4] Merge translation files from master branch.
  • [1d5e092e] Update translation template.
  • [69940ffa] Merge translation files from master branch.
  • [96e27c4e] Merge translation files from master branch.
  • [a55e02db] Merge translation files from master branch.
  • [871ecce5] Merge translation files from master branch.
  • [ec0f61af] Merge translation files from master branch.
  • [218fac0c] Merge translation files from master branch.
  • [6647adc3] Merge translation files from master branch.
  • [61b33552] Merge translation files from master branch.
  • [896977cd] Update translation template.
  • [b9b297b5] Merge translation files from master branch.
  • [020d1812] Merge translation files from master branch.
  • [2ce814a0] Merge translation files from master branch.
  • [6904825b] Merge translation files from master branch.
  • [0f852e46] Update translation template.
  • [b829f7c7] Merge translation files from master branch.
  • [5d7a15a4] Merge translation files from master branch.
  • [a10a47b7] Merge translation files from master branch.
  • [8263311b] Update translation template.
  • [c52e0604] Merge translation files from master branch.
  • [af214ee8] Merge translation files from master branch.
  • [5c37bd9a] Merge translation files from master branch.
  • [d92f826e] Update translation template.
  • [f815e5be] Merge translation files from master branch.
  • [6d21bf48] Fix of unintentionally translated translator information.
  • [a403bde2] Merge translation files from master branch.
  • [4a57c23c] Merge translation files from master branch.
  • [638fb195] Merge translation files from master branch.
  • [d625158f] Merge translation files from master branch.
  • [f04fcab5] Merge translation files from master branch.
  • [6b6bc830] Update translation template.
  • [aa90718f] Merge translation files from master branch.
  • [d6baf143] Update translation template.
  • [1e8e6198] Merge translation files from master branch.
  • [3c83c201] Merge translation files from master branch.
  • [dd799105] Merge translation files from master branch.
  • [41e20f59] Merge translation files from master branch.
  • [80cc682a] Merge translation files from master branch.
  • [0e28b52b] Merge translation files from master branch.
  • [b9fdba64] Merge translation files from master branch.
  • [bdb77d94] Merge translation files from master branch.
  • [3dc133c5] Merge translation files from master branch.
  • [55fa6dc9] Merge translation files from master branch.
  • [5342f09b] Merge translation files from master branch.
  • [48ee1234] Merge translation files from master branch.
  • [7f1c92e2] Update translation template.
  • [2cd5959b] Merge translation files from master branch.
  • [92ed1ad5] Merge translation files from master branch.
  • [d535f6e3] Merge translation files from master branch.
  • [4cd5d2cf] Merge translation files from master branch.
  • [5a99494a] Merge translation files from master branch.
  • [3d1a807a] Merge translation files from master branch.
  • [ecd43a6b] Merge translation files from master branch.
  • [73470791] Merge translation files from master branch.
  • [7c5c4a8f] Update translation template.
  • [f470c04c] Merge translation files from master branch.
  • [0ab30479] Merge translation files from master branch.
  • [ccad7ee8] Merge translation files from master branch.
  • [bc5448ab] Merge translation files from master branch.
  • [7d4d885f] Merge translation files from master branch.
  • [ee802e5c] Update translation template.
  • [d8181121] Merge translation files from master branch.
  • [55b5cdda] Merge translation files from master branch.
  • [b35a86e0] Merge translation files from master branch.
  • [42ef93cc] Merge translation files from master branch.
  • [a312e827] Merge translation files from master branch.
  • [8c64e9fd] Merge translation files from master branch.
  • [0281391a] Merge translation files from master branch.
  • [da77f151] Merge translation files from master branch.
  • [0bc39688] Merge translation files from master branch.
  • [9504fa81] Update translation template.
  • [21935020] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [bdf33e53] Merge translation files from master branch.
  • [ab2bea07] Raise the minimum required version of CMake to 3.1.
  • [df5324a7] Merge translation files from master branch.
  • [1cabecc6] Merge translation files from master branch.
  • [35960a50] Merge translation files from master branch.
  • [ac82abb7] Merge translation files from master branch.
  • [c4a31a54] Merge translation files from master branch.
  • [e29293ea] Merge translation files from master branch.
  • [4de67975] Merge translation files from master branch.
  • [7b2da1d3] Merge translation files from master branch.
  • [9ecd312a] Merge translation files from master branch.
  • [62bed5e7] Update translation template.
  • [644547c8] Merge translation files from master branch.
  • [4084ed7d] Merge translation files from master branch.
  • [44e7c295] Fixed typo. This resolves issue TDE/tdegames#15
  • [017229ec] Merge translation files from master branch.
  • [488d3ccb] Merge translation files from master branch.
  • [1f9487af] Merge translation files from master branch.
  • [94c93bc6] Merge translation files from master branch.
  • [447f527b] Merge translation files from master branch.
  • [9c9ef03a] Merge translation files from master branch.
  • [7fb84d44] Merge translation files from master branch.
  • [1cb8d002] Merge translation files from master branch.

libraries

libkdcraw

  • [189aa8a9] Merge translation files from master branch.
  • [62644d35] Drop automake build support.
    Rework the README and INSTALL files.
  • [5cd67930] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [113de6be] Raise the minimum required version of CMake to 3.1.

libkexiv2

  • [5bc49238] Raise the minimum required version of CMake to 3.1.

libkipi

  • [dbe81867] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [69c4ab19] Raise the minimum required version of CMake to 3.1.

kipi-plugins

  • [15acce41] Merge translation files from master branch.
  • [74f96af7] Replaced 'includehints' with 'includes' in *.ui files.
  • [2938b5bb] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [e6998673] Merge translation files from master branch.

libksquirrel

  • [6f4e155a] Replaced 'includehints' with 'includes' in *.ui files.

libtdeldap

  • [363da880] Raise the minimum required version of CMake to 3.1.

applications/development

kdbg

  • [a4b98f87] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [3fe8b252] Raise the minimum required version of CMake to 3.1.
  • [15fe5aa7] Merge translation files from master branch.

kdiff3

  • [f7fb379b] Merge translation files from master branch.
  • [62185335] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [7290f4aa] Raise the minimum required version of CMake to 3.1.
  • [50ae4a03] Merge translation files from master branch.

kpicosim

  • [8cc60a48] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [6aaa89cb] Raise the minimum required version of CMake to 3.1.

kscope

  • [1588d421] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [376e9fe1] Raise the minimum required version of CMake to 3.1.
  • [02c8b2f2] Replaced 'includehints' with 'includes' in *.ui files.

ktechlab

  • [2b4ec6b5] Remove the original translation directory layout.
  • [1a7a9775] Copy translations to a new directory layout.
    Use common rules for build and install translations.
    Added translation of .desktop files.
  • [6eb0b661] Use common rules for build and install documentation.
  • [8c68c80a] Drop automake build support.
    Rework the README and INSTALL files.
  • [6c6e5345] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [7c9812ac] Raise the minimum required version of CMake to 3.1.

kxmleditor

  • [eaba53b0] Remove the original translation directory layout.
  • [daa385ab] Copy translations to a new directory layout.
    Use common rules for build and install translations.
    Added translation of .desktop files.
  • [03ab3107] Use common rules for build and install documentation.
  • [d781e995] Drop automake build support.
    Rework the README and INSTALL files.
  • [0ac1a32b] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [114e71b9] Raise the minimum required version of CMake to 3.1.

piklab

  • [0eaf3f2c] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

tdesvn

  • [48536d19] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [9ff98d0d] Raise the minimum required version of CMake to 3.1.
  • [69b31432] Replaced 'includehints' with 'includes' in *.ui files.

applications/games

knights

  • [31ff8c3d] Merge translation files from master branch.
  • [6e726b66] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [127d75cf] Raise the minimum required version of CMake to 3.1.
  • [4de9ba5b] Merge translation files from master branch.

tdepacman

  • [0dac4a06] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [7c093c0d] Raise the minimum required version of CMake to 3.1.
  • [37691284] Merge translation files from master branch.
  • [2fbdabba] Merge translation files from master branch.

applications/graphics

digikam

  • [cd6707c1] Add support for Jasper 3.x.
    This resolves issue #4
  • [3344fc9a] Merge translation files from master branch.
  • [4d76d6a8] Merge translation files from master branch.
  • [f057de09] Merge translation files from master branch.
  • [d4518086] Merge translation files from master branch.
  • [aab84fe8] Merge translation files from master branch.
  • [04cad995] Fixed translation mistaked generated by commit 92083b67.
  • [5de53cdb] Merge translation files from master branch.
  • [2c06014c] Fix typo (see previous commit) also in translation files.
  • [5698cf36] Fix a typo
  • [86631866] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [47057a04] Replaced 'includehints' with 'includes' in *.ui files.
  • [27303281] Merge translation files from master branch.
  • [dc0b14d2] Merge translation files from master branch.
  • [f1bb9d7a] Merge translation files from master branch.
  • [591ce624] Merge translation files from master branch.

gwenview

  • [067cc066] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [cbf8c06c] Replaced 'includehints' with 'includes' in *.ui files.

gwenview-i18n

  • [069218a7] Raise the minimum required version of CMake to 3.1.

ksquirrel

  • [1e56d0f3] Merge translation files from master branch.
  • [0ef7ed8d] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [5bc8789a] Replaced 'includehints' with 'includes' in *.ui files.

kuickshow

  • [bf3252d3] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [dd381008] Raise the minimum required version of CMake to 3.1.
  • [2535728e] Merge translation files from master branch.

potracegui

  • [e47d4961] Merge translation files from master branch.
  • [6142c9e5] Merge translation files from master branch.
  • [1ec6f0dd] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [4b90c99f] Raise the minimum required version of CMake to 3.1.

applications/internet

kasablanca

  • [a8992dd6] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [4bdfbb50] Raise the minimum required version of CMake to 3.1.
  • [0f27dbe7] Merge translation files from master branch.

kbiff

  • [68929099] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [01568d8a] Raise the minimum required version of CMake to 3.1.
  • [c20576b9] Merge translation files from master branch.

kftpgrabber

  • [8c19c33b] Added translation of .desktop files.
  • [3e12c8f8] Drop automake build support.
    Rework the README and INSTALL files.
  • [7c421101] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [332bb9be] Raise the minimum required version of CMake to 3.1.

knmap

  • [4e19a8ae] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [c2564509] Raise the minimum required version of CMake to 3.1.

konversation

  • [cb7104bd] Merge translation files from master branch.
  • [bcdd4524] Merge translation files from master branch.
  • [22a534d7] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [368f5159] Raise the minimum required version of CMake to 3.1.

kopete-otr

  • [b5995823] Added translation of .desktop files.
  • [3006d757] Drop automake build support.
    Rework the README and INSTALL files.
  • [b43f977f] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [6d31a95c] Replaced 'includehints' with 'includes' in *.ui files.
  • [ce0f0fd3] Raise the minimum required version of CMake to 3.1.

kshowmail

  • [6a221fcb] Merge translation files from master branch.
  • [6d0113de] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [abaffa65] Raise the minimum required version of CMake to 3.1.

kstreamripper

  • [1bdff694] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [d892eadf] Raise the minimum required version of CMake to 3.1.

ktorrent

  • [08eea96b] Merge translation files from master branch.
  • [efbafbeb] Replaced 'includehints' with 'includes' in *.ui files. Completed previous commit where one file was missed out.
  • [9303fdb9] Replaced 'includehints' with 'includes' in *.ui files.
  • [bd728c1c] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

kvirc

  • [ece84431] Merge translation files from master branch.
  • [b73cb902] Merge translation files from master branch.
  • [eb6ac02b] Fix build with a clean TQt namespace.
  • [351c95fe] Fix TQt library detection on multiarch systems.
  • [15c430b3] Change default TQt library name from 'qt' to 'tqt'.
  • [f69d621e] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

kvpnc

  • [21ecb18c] Merge translation files from master branch.
  • [aae94290] Merge translation files from master branch.
  • [59553803] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [cb8a789c] Replaced 'includehints' with 'includes' in *.ui files.
  • [59a6b969] Raise the minimum required version of CMake to 3.1.

smb4k

  • [eee4547e] Replaced USE_SOLARIS definition with __sun.
  • [291eab0d] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

tork

  • [4a6fff60] Remove the original translation directory layout.
  • [f3392a5e] Copy translations to a new directory layout.
    Use common rules for build and install translations.
    Added translation of .desktop files.
  • [32b67013] Use common rules for build and install documentation.
  • [2094f677] Drop automake build support.
    Rework the README and INSTALL files.
  • [895f0eec] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [cd8fbeb9] Removed unnecessary 'wrong' comments.
  • [ab03d5fe] Raise the minimum required version of CMake to 3.1.

applications/misc

bibletime

  • [6032dbfc] Replaced 'includehints' with 'includes' in *.ui files.
  • [9687a7bb] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

compizconfig-backend-tdeconfig

  • [50b56dd3] Raise the minimum required version of CMake to 3.1.

desktop-effects-tde

  • [59ffbe9c] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

kcmldap

  • [82079a7f] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [c0d1ae28] Raise the minimum required version of CMake to 3.1.

kcmldapcontroller

  • [78eb4a3a] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [64839011] Raise the minimum required version of CMake to 3.1.

kcmldapmanager

  • [15224f26] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [f2f2fc6a] Raise the minimum required version of CMake to 3.1.

kerberostray

  • [e6a166e9] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [e81e2853] Raise the minimum required version of CMake to 3.1.

krecipes

  • [cd730bfa] Replaced 'includehints' with 'includes' in *.ui files.
  • [1c48b9c8] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

applications/multimedia

amarok

codeine

  • [9b004312] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [aa460143] Raise the minimum required version of CMake to 3.1.
  • [4cc0bd4c] Merge translation files from master branch.
  • [4ab1fa87] Merge translation files from master branch.
  • [27700dd1] Merge translation files from master branch.

k3b

  • [4d258025] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [af47d506] Raise the minimum required version of CMake to 3.1.
  • [fded15bc] Fix FTBFS on RHEL6

k3b-i18n

  • [c8e4cd21] Merge translation files from master branch.
  • [6dd395d3] Raise the minimum required version of CMake to 3.1.
  • [c63ea895] Merge translation files from master branch.
  • [c950f167] Merge translation files from master branch.
  • [3cfe2ad4] Merge translation files from master branch.
  • [9ad09c20] Update translation template.

k9copy

  • [b5750547] Fix FTBFS due to narrowing conversions in x86 mmx code.
  • [d37a8259] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

kaffeine

  • [7074e371] Fix the service menu action Play DVD/BLURAY with Kaffeine
    to make play really start.
  • [ccea5b34] Merge translation files from master branch.
  • [842d947c] Update translation template.
  • [afd890f5] Change libdvdcss detection to search the default system directory for libraries.
    This resolves issue TDE/tde-packaging#113
  • [50f352b3] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [57e4f76c] Raise the minimum required version of CMake to 3.1.

kaffeine-mozilla

  • [129c44e3] Raise the minimum required version of CMake to 3.1.

kmplayer

  • [45685a90] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [cae844a4] Raise the minimum required version of CMake to 3.1.
  • [8ab67680] Merge translation files from master branch.

mplayerthumbs

  • [6496bce8] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [4632ab81] Raise the minimum required version of CMake to 3.1.

rosegarden

  • [f56d8dd2] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [e0335d55] Raise the minimum required version of CMake to 3.1.

soundkonverter

  • [e3a33e20] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

tderadio

  • [11616123] Replaced 'includehints' with 'includes' in *.ui files.
  • [4375ffed] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

applications/office

basket

  • [b742c35f] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [98c9d3fb] Raise the minimum required version of CMake to 3.1.
  • [35c04368] Merge translation files from master branch.
  • [73a586a3] Merge translation files from master branch.
  • [41b17a77] Update translation template.
  • [2bca54ad] Prevent null pointer deference in methods for selection.
    This resolves the crash when exporting the Basket archive.

kbibtex

  • [90815915] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [f3e45e14] Raise the minimum required version of CMake to 3.1.
  • [daffce55] Merge translation files from master branch.

kbookreader

  • [4c44c214] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [97562a4e] Raise the minimum required version of CMake to 3.1.
  • [46f1782c] Merge translation files from master branch.

keximdb

  • [7826cb1a] Raise the minimum required version of CMake to 3.1.

kile

  • [8c28c263] Restore the documentation inadvertently deleted in the past commit
    along with the original layout of translations. The translated
    documentation is now placed in the doc folder.
  • [5ef92bba] Remove the original translation directory layout.
  • [3633ea28] Update CMake rules accorting to TDE style.
    Copy translations to a new directory layout.
    Move documentation to a new directory layout.
  • [71958c0f] Fix the initialization of the automake project.
    Delete generated configure.in and *.m4 files from sources.
  • [419e78e3] Replaced 'includehints' with 'includes' in *.ui files.
  • [ecb45e75] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

kmymoney

  • [8523e0a8] Merge translation files from master branch.
  • [0b93a41a] Merge translation files from master branch.
  • [292c7e61] Merge translation files from master branch.
  • [24de4285] Merge translation files from master branch.
  • [369af896] Fix TQT_NO_STL × QT_NO_STL to resolve FTBFS in stable branch,
    which comes from commit 5ec229a4470f605eca53326853ff246a49e80189.
  • [b100aea6] Merge translation files from master branch.
  • [8a0696a6] Update translation template.
  • [2c0b8b6e] Fix building with hidden visibility.
  • [5ec229a4] Enforce the use of TQt with STL only where it is necessary.
    The definition of -UTQT_NO_STL is no longer needed.
  • [49e34b02] Added controlled conversions to char* instead of automatic ascii conversions.
    The definition of -UTQT_NO_ASCII_CAST is no longer needed.
  • [a553069a] Replace the use of the old API TQString::data().
    The definition of -UTQT_NO_COMPAT is no longer needed.
  • [febacdee] Conversion to the cmake building system.
  • [9757aeb4] Removed obsolete Qt2's TQList/TQListIterator classes and replaced
    with TQt3's TQPtrList/TQPtrListIterator ones.
  • [fdf40193] Merge translation files from master branch.
  • [3706cc58] Update translation template.
  • [be67c035] Cleanup and fix headers installed for public API
    + Added installation of headers that are referenced, but were not installed.
    + Some headers were listed as inst_HEADERS and also as noinst_HEADERS.
    + Replaced paths to directories in source code used in "include <...>".
    + Common "tdeversion.h" is now used instead of local "kdecompat.h".
    + Including "config.h" has been moved from ".h" to ".cpp" files.
  • [115ee8d6] Remove generated sources.
  • [bfbd02c5] Merge translation files from master branch.
  • [4423e37d] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

knowit

  • [2013ffa0] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [85eb7258] Raise the minimum required version of CMake to 3.1.

koffice

  • [ddd24f0f] KPresenter: look in DATADIR/kpresenter for template
    This is because when the app is launched as part of KOShell,
    the appname is koshell instead of kpresenter, making usage of
    APPDATADIR fail.
    This resolves issue #21
  • [b8c35f29] Fix FTBFS because of conflict between config.h generated by automake
    and Ruby headers.
    Instead of using config.h in Ruby related code, the definitions
    related to Ruby version are added to CFLAGS.
  • [37fb4f18] Fix FTBFS with Ruby 3.x due to removed rb_set_safe_level.
    In Ruby 2.7 the entire concept is deprecated and in Ruby 3.x is removed
    entirely - see https://bugs.ruby-lang.org/issues/16131
  • [a7fd7623] kexi: replace includehints with includes in .ui files.
  • [53eda28f] Fixed FTBFS caused by commit b070dc18 on some distros/archs.
  • [2bc2bc67] Replaced 'includehints' with 'includes' in *.ui files.
  • [355a6c47] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [de082898] Added kexi hotfix to support versions 12 and higher, fixing issue #15
  • [d6ebacbe] Fixed build issue with libwv2 support

koffice-i18n

  • [190968d8] Merge translation files from master branch.
  • [6274b16b] Merge translation files from master branch.
  • [a99d7ca6] Merge translation files from master branch.
  • [b1cbec9a] Merge translation files from master branch.
  • [d9008480] Merge translation files from master branch.
  • [c8a87e32] Merge translation files from master branch.
  • [3c5c65fd] Merge translation files from master branch.
  • [e2b40609] Merge translation files from master branch.
  • [06df176b] Update translation template.

kpilot

  • [5c6bd3c8] Merge translation files from master branch.
  • [4cd13d38] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [b6ae76e3] Raise the minimum required version of CMake to 3.1.

tellico

  • [ef94258f] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [ffcb8e3a] Raise the minimum required version of CMake to 3.1.

applications/settings

kdpkg

  • [4dae7044] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [26f01e5c] Raise the minimum required version of CMake to 3.1.

kima

  • [7e8781c3] Removed comments about HAL.
  • [59f98faa] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [85a3cfc6] Raise the minimum required version of CMake to 3.1.

kiosktool

  • [5cb9646e] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [eccfc199] Raise the minimum required version of CMake to 3.1.
  • [aad8d7ac] Merge translation files from master branch.

kkbswitch

  • [f3350eee] Merge translation files from master branch.
  • [ba859910] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [f1d74fad] Raise the minimum required version of CMake to 3.1.

klcddimmer

  • [3c90d5cb] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [1034ab3d] Raise the minimum required version of CMake to 3.1.
  • [ac22fd68] Merge translation files from master branch.

kmyfirewall

  • [2120f53c] Replaced 'includehints' with 'includes' in *.ui files.
  • [78e4942e] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

knetworkmanager8

  • [b4ef76d2] Replaced 'includehints' with 'includes' in *.ui files.
  • [fe937a66] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [05ed6644] Raise the minimum required version of CMake to 3.1.

tde-systemsettings

  • [ef01915c] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [843ad620] Raise the minimum required version of CMake to 3.1.

tdenetworkmanager

  • [caf75432] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [c16d49a9] Raise the minimum required version of CMake to 3.1.

tdesudo

  • [20803184] Merge translation files from master branch.
  • [240d7997] Merge translation files from master branch.
  • [4f8baa04] Merge translation files from master branch.
  • [e88d1028] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [5a6397fe] Raise the minimum required version of CMake to 3.1.

wlassistant

  • [6c8fa4f8] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [e71573c0] Raise the minimum required version of CMake to 3.1.

applications/system

dolphin

  • [69e258b7] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [e10bdb80] Merge translation files from master branch.
  • [8cf77347] Raise the minimum required version of CMake to 3.1.
  • [4888044a] Merge translation files from master branch.
  • [3ac90b74] Fixed singular form in translation. This resolves issue #14
  • [59e40ff2] Fix plural form of translations.
    The leading '_n: ' should not be part of the translations.
  • [0fee176c] Merge translation files from master branch.
  • [29d1865f] Adjusted translations following commit 02de153. This relates to issue #11 and issue #13
  • [8dc1e819] Fixed D3lphin --> Dolphin in GUI. This resolves issue #10
  • [b774cb49] Fixed a couple of typos. This resolves issue #11 and issue #13
  • [f6a05589] Merge translation files from master branch.
  • [8d336678] Merge translation files from master branch.
  • [7fd18cbf] Merge translation files from master branch.

katapult

  • [ea6ff29f] Merge translation files from master branch.
  • [33deebf1] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [1ddad6c3] Raise the minimum required version of CMake to 3.1.
  • [08bbe4aa] Merge translation files from master branch.

kbfx

  • [7ad34eee] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [1dc72b09] Raise the minimum required version of CMake to 3.1.

kcmautostart

  • [a046c69e] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [df24233c] Raise the minimum required version of CMake to 3.1.

kdbusnotification

  • [edd6e4eb] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [5e40664b] Raise the minimum required version of CMake to 3.1.

klamav

  • [d82311f0] Merge translation files from master branch.
  • [90396073] Replaced 'includehints' with 'includes' in *.ui files.
  • [61bb2064] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [6bf11325] Raise the minimum required version of CMake to 3.1.

knemo

  • [cb1e1c86] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [85fac0a1] Raise the minimum required version of CMake to 3.1.

knetload

  • [3f40a726] Remove incorrect duplicate section Contributing from Readme.
  • [183b0d88] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [ed36197d] Raise the minimum required version of CMake to 3.1.

knetstats

  • [59e2fae9] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [a5a7a2cf] Raise the minimum required version of CMake to 3.1.

kooldock

  • [3f406c84] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [45cb4168] Raise the minimum required version of CMake to 3.1.

kpowersave

  • [78cee563] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [565a3b67] Raise the minimum required version of CMake to 3.1.

krusader

  • [494b82b8] Merge translation files from master branch.
  • [ba3c50f8] Replaced 'includehints' with 'includes' in *.ui files.
  • [74f6dc26] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.

kshutdown

  • [c3a85d60] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [f1249eb5] Raise the minimum required version of CMake to 3.1.

ksystemlog

  • [35e8d3b2] Merge translation files from master branch.
  • [90b0a32c] Merge translation files from master branch.
  • [51b54c83] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [89ec813f] Raise the minimum required version of CMake to 3.1.

kvkbd

  • [adc51ad3] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [b7c360aa] Raise the minimum required version of CMake to 3.1.

smartcardauth

  • [5ee2811f] Raise the minimum required version of CMake to 3.1.

tastymenu

  • [0244f7df] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [64f0fb9d] Raise the minimum required version of CMake to 3.1.

tdedocker

  • [e7e64707] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [4ba78a44] Raise the minimum required version of CMake to 3.1.

tdepowersave

  • [4a073ee8] Merge translation files from master branch.
  • [d03477f4] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [68b6a1e5] Raise the minimum required version of CMake to 3.1.
  • [5a0a0416] Merge translation files from master branch.
  • [271123a5] Merge translation files from master branch.

tdesshaskpass

  • [9b30d107] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [ecc4973f] Raise the minimum required version of CMake to 3.1.

yakuake

  • [064dcc43] Merge translation files from master branch.
  • [f3913564] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [b8f23e53] Raise the minimum required version of CMake to 3.1.

applications/tdeio

tdeio-apt

  • [f65a81de] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [b84bc11e] Raise the minimum required version of CMake to 3.1.

tdeio-ftps

  • [0bc2f854] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [35fdfda5] Raise the minimum required version of CMake to 3.1.

tdeio-gopher

  • [aa945dbb] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [8a8f527f] Raise the minimum required version of CMake to 3.1.

tdeio-locate

  • [a2e62e20] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [6cee38ed] Raise the minimum required version of CMake to 3.1.
  • [31e5ff7b] Merge translation files from master branch.

tdeio-sword

  • [a96f3938] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [cab4fa20] Raise the minimum required version of CMake to 3.1.
  • [e1d79f01] Merge translation files from master branch.

tdeio-umountwrapper

  • [67667f06] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [74d041d0] Raise the minimum required version of CMake to 3.1.

applications/themes

gtk-qt-engine

  • [71e1e630] Merge translation files from master branch.
  • [2377c238] KCM: Use an existing `stream` when write configuration files
    instead of defining a new `fileDataStream`.
    This also resolves FTBFS from prior commit.
  • [ea4b6377] KCM: Make sure Unicode is used for editing bashrc
    This resolves issue #6
  • [70b0d4bf] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [d39c519c] Raise the minimum required version of CMake to 3.1.

kgtk-qt3

  • [dfc78bc6] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [1818910e] Raise the minimum required version of CMake to 3.1.

ksplash-engine-moodin

  • [90a6b1e7] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [318f4e6d] Raise the minimum required version of CMake to 3.1.

tde-style-baghira

  • [cc26904a] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [74fcfc65] Raise the minimum required version of CMake to 3.1.

tde-style-domino

  • [4013c916] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [2d5459ad] Raise the minimum required version of CMake to 3.1.

tde-style-ia-ora

  • [3842f04b] Drop automake build support.
    Rework the README and INSTALL files.
  • [58c3afa3] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [c62c8a35] Raise the minimum required version of CMake to 3.1.

tde-style-lipstik

  • [ae5f4641] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [4b127b88] Raise the minimum required version of CMake to 3.1.

tde-style-qtcurve

  • [dce6f6ff] Remove the original translation directory layout.
  • [f21f9ca5] Copy translations to a new directory layout.
    Use common rules for build and install translations.
    Added translation of .desktop files.
  • [8bd05d69] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [7a6987e7] Raise the minimum required version of CMake to 3.1.
  • [0907ed4e] Removed unused admin submodule.

tdmtheme

  • [a8b9038d] Merge translation files from master branch.
  • [bf494105] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [4eee23fd] Raise the minimum required version of CMake to 3.1.
  • [60ea0c2b] Merge translation files from master branch.

twin-style-crystal

  • [60298e92] Drop automake build support.
    Rework the README and INSTALL files.
  • [3f254cf0] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [19b7d2d3] Raise the minimum required version of CMake to 3.1.

twin-style-dekorator

  • [61296c09] Replaced 'includehints' with 'includes' in *.ui files.
  • [bb8ff532] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [a76b7e94] Raise the minimum required version of CMake to 3.1.

twin-style-suse2

  • [d307af23] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [0dc8ee43] Raise the minimum required version of CMake to 3.1.
  • [53e3a4cd] Merge translation files from master branch.

applications/utilities

abakus

  • [2d1763c5] Merge translation files from master branch.
  • [a772d779] Merge translation files from master branch.
  • [4717fcea] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [4d193f26] Raise the minimum required version of CMake to 3.1.
  • [bddd2d52] Merge translation files from master branch.

filelight

  • [c01ab203] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [e4f1252a] Raise the minimum required version of CMake to 3.1.
  • [e1e03212] Merge translation files from master branch.
  • [c40b463a] Merge translation files from master branch.
  • [8df86e09] Merge translation files from master branch.

kbarcode

  • [8f8236fc] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [8636f0cb] Raise the minimum required version of CMake to 3.1.

kchmviewer

  • [1199cd45] Merge translation files from master branch.
  • [d6ca6ee3] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [8dd986ad] Raise the minimum required version of CMake to 3.1.
  • [4369f737] Merge translation files from master branch.

kcpuload

  • [daf705fd] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [a144f915] Raise the minimum required version of CMake to 3.1.

kdirstat

  • [6ef0caba] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [6b7fe208] Raise the minimum required version of CMake to 3.1.

keep

  • [991a4a8a] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [cf347fdf] Raise the minimum required version of CMake to 3.1.
  • [abe46864] Merge translation files from master branch.

knutclient

  • [040f98e2] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [a603bf27] Raise the minimum required version of CMake to 3.1.

kompose

  • [84baa5c8] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [779bfa26] Raise the minimum required version of CMake to 3.1.

krename

  • [57ccbccf] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [2f25533f] Raise the minimum required version of CMake to 3.1.
  • [2eda030d] Merge translation files from master branch.
  • [1ed1927c] Merge translation files from master branch.

ksensors

  • [a26fd1b0] Replaced 'includehints' with 'includes' in *.ui files.
  • [7d48d1a5] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [8960a9db] Raise the minimum required version of CMake to 3.1.

mathemagics

  • [64d57257] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [b7e7e7f2] Raise the minimum required version of CMake to 3.1.

qalculate-tde

  • [8dba1b41] Remove the original translation directory layout.
  • [761e0ef0] Copy translations to a new directory layout.
    Added translation of .desktop files.
  • [1928b5fa] Drop automake build support.
    Rework the README and INSTALL files.
  • [a4312005] Raise the minimum required version of CMake to 3.1 in CMakeL10n rules.
  • [c53a6a57] Raise the minimum required version of CMake to 3.1.

packaging

packaging

  • [c0059995] ArchLinux: Update for final R14.0.12.
    Add pkgbuilds for several applications.
    Add pkgbuild for polkit-tqt library.
  • [4a4b5b03] FreeBSD: Update for final release R14.0.12.
    Add ports for several applications.
    Add port for polkit-tqt library.
  • [511d71e3] FreeBSD pinentry-tqt: Update to pinentry 1.2.0.
  • [84bd19f7] FreeBSD imlib: Update the patch to search XShm include to make it work
    even if AC_PATH_X does not return a valid path.
    This resolves issue #110
  • [10427756] DEB sip4-tqt: Fix empty python3-sip-tqt-dbg package.
  • [d5116136] DEB sip4-tqt: Add packages for Python3 support.
  • [c52a26f8] DEB tdelibs: Add tdemarkdown part.
  • [61496744] RPM: update build script to TDE version 14.0.12
  • [e2ffb8a3] RPM: update spec files to TDE 14.0.12
  • [d415e6ac] RPM: update Dockerfiles to TDE 14.0.12
  • [bd0c60ec] RPM: various updates for TDE 14.0.12
  • [2b75ee27] DEB tdegraphics: Add exported CMake target for poppler-tqt library.
  • [bf6fd171] DEB tdegraphics: Fix empty libkscan-trinity-dev package.
  • [b3e0f556] DEB tdebase: Add rss-glx to Build-Depends.
    This relates to TDE/tdeartwork#19
  • [73f7eaf7] DEB kmymoney: Switch to cmake.
  • [c7cc47cc] ArchLinux tdegraphics: Update for rebuild with Poppler 22.02.
  • [807c0c83] ArchLinux cmake-trinity: Update for rebuild after changing the CMake
    system folder to be independent of the CMake version.
  • [71724569] DEB k3b: Remove libdbus-tqt-1-dev from Build-Depends
    because support for HAL backend is no longer built.
  • [f8970d29] DEB amarok: Remove libdbus-tqt-1-dev from Build-Depends
    because support for Yauap engine is no longer built.
  • [8057895c] DEB kxmleditor: Change README to markdown format.
  • [7e9f8475] RPM: add packages polkit-tqt and polkit-agent-tde
  • [60356f5d] RPM: fix kftpgrabber, kopete-otr, tork and tqscintall packages
  • [c4fb3152] RPM: add cmake package for trinity cmake macros
  • [79f2efeb] DEB tde-style-ia-ora: Change README to markdown format.
  • [2fe82062] RPM: update docker build script
  • [503a3d9b] RPM: switch kopete-otr, ktechlab, qalculate-tde and twin-style-crystal to cmake build
  • [db8d6a2a] RPM: fix dependencies to postgresql-devel in koffice and krecipes
  • [f9047eba] DEB kftpgrabber: Change README to markdown format.
  • [2ca1cdba] DEB twin-style-crystal: Change README to markdown format.
  • [513c4339] DEB qalculate-tde: Change README to markdown format.
  • [755091b9] DEB kopete-otr: Change README to markdown format.
  • [b3d5fb80] DEB tork: Change README to markdown format.
  • [f2ebf9c2] DEB ktechlab: Change README to markdown format.
  • [762b2007] RPM: various updates for upcoming 14.0.12 release
  • [8de06a7b] DEB polkit-agent-tde: Add polkit-1-auth-agent to provides.
  • [f83a45d3] DEB libkdcraw: Change README to markdown format.
  • [3070aaa7] DEB tde-ubuntu-integration: Package was replaced by polkit-agent-tde.
  • [8577c1a3] DEB tdebase: Recommend polkit-agent-tde instead of tde-ubuntu-integration.
    Add polkit-agent-tde into Recommends for ksmserver also on Debian.
  • [ad7b992a] DEB: added packaging files for polkit-agent-tde
  • [11bc93a0] RPM: update symlink to build-examples.sh
  • [cba74143] RPM: update tdelibs & tdetoys
  • [f95e36c5] DEB libtqt-perl: Do not enforce QT-DIR to /usr/share/tqt3 to avoid FTBFS
    during packaging due to multiarch paths to libraries.
  • [453b557d] DEB polkit-tqt: adjusted to use new polkit-tqt.cmake location.
  • [282ae149] DEB sip4-tqt: Add bison and flex into Build-Depends
    to allow to generate lexer and parser at build time.
    This relates to issue TDE/sip4-tqt#4
  • [7df44ca2] DEB kile: Add rule to install translated documentation into language packages.
  • [55c750fb] DEB kile: Switch to cmake.
  • [5d693c7d] DEB: added packaging files for polkit-tqt.
  • [5373cedf] DEB kile: Simplify the installation of translations into individual packages.
    Remove automake build initialization - it is done by common TDE cdbs rules.
  • [60f34d40] DEB cmake-trinity: Require CMake at least 3.1.
  • [c1db2dcb] DEB tdebase: Add argyll as an alternative dependency to xcalib.
  • [58cc2918] DEB tdegraphics: Use WITH_ALL_OPTIONS.
  • [d667fc13] FreeBSD tdegraphics: Backport patch for support Poppler >= 21.11.
  • [8e5d126a] ArchLinux tdegraphics: Backport patch for support Poppler >= 21.11.
  • [91467e12] ArchLinux cmake-trinity: Update for rebuild with CMake 3.22.
  • [aee953ec] DEB tqtinterface: Set CMAKE_INSTALL_LIBDIR independently of GNUInstallDirs.
  • [7771106f] DEB tqtinterface: Install libraries according to multi-arch rules
  • [134e9e1c] DEB tdebase: Update the location of the libtqt3-integration plugin
    following the multi-arch location of TQt3.
  • [99369720] DEB tqscintilla: Update the location of the TQScintilla plugin
    following the multi-arch location of TQt3.
  • [ba443bd4] DEB tqca: Update the location of the tqca-tls plugin
    following the multi-arch location of TQt3.
  • [612d480c] DEB tqt3: Change the architecture to 'all' for *-headers packages
  • [517f7890] DEB tqt3: Install libraries according to multi-arch rules
  • [eff5a74e] DEB tqscintilla: Fix installation directory for TQt3 plugin.
    On stable branch, TQt3 is not installed in the multi-arch paths.
  • [4215f4e8] DEB DilOS: Apply recent changes for tqscintilla and python-tqt.
  • [1bdbf52d] DEB python-tqt: Update paths for TQScintilla built using CMake.
  • [90705472] DEB tqscintilla: Switch to cmake.
    Switch to common TDE cdbs rules.
    Add definitions for multi-arch.
    Move translations into a separate package.
  • [771a8289] ArchLinux: Update build script
    + Fix build for tde-i18n.
  • [26594b1e] RPM: update pclinuxos scripts
  • [cf39f24d] DEB: updated supported distros.
  • [a5dd0dde] ArchLinux dbus-1-tqt: Fix 'replaces' definition to avoid replacing itself.
    This resolves issue TDE/tde#69
  • [f303479c] ArchLinux tdelibs: Fix unwanted conflict with kdelibs.
    This resolves issue TDE/tde#68
  • [f7f0ddba] RPM: update TDE version to 14.0.11, continued
  • [5c224f27] RPM: update osstw build scripts
  • [b3154fbd] RPM: update k3b
  • [fcb53a5c] RPM: update build scripts
  • [110bf4e4] RPM: add package twin-style-dekorator
  • [450d7fe0] RPM: update tde-style-baghira
  • [999e1fa8] RPM: switch ksystemlog to cmake build
  • [cc0460c4] RPM: switch tde-systemsettings to cmake build
  • [7cb8976b] RPM: switch kscope to cmake build
  • [0f2429f7] RPM: switch kaffeine-mozilla to cmake build
  • [09634c7b] RPM: update tdenetwork
  • [7b6798da] RPM: update tdetoys
  • [526f30bd] RPM: update README file names
  • [c9ea83df] RPM: update TDE to version 14.0.11
  • [0d023ac2] RPM: add build scripts for Fedora 35
  • [a163ec2d] RPM: add Fedora 35 support in tdelibs
  • [dea85409] RPM: switch libkdcraw to cmake
  • [105f6898] RPM: add support for Fedora 35 in tdebase
  • [f0a4a209] RPM: update tdenetwork
  • [3fe1012f] RPM: add package tdesshaskpass
  • [61ffcb2e] RPM: update mplayerthumbs
  • [79e4bc69] RPM: switch kftpgrabber to cmake build